fatal error: 'event2/event-config.h' file not found

Hi All,

I am running eas build for ios and get an error when running fastlane

the error is related to flipper using event2/event-config.h

There are some references to this in the forums where people who are running xcode directly have fixed the problem, but I am using eas so I don’t seem to have access to any of the files referenced.

Any ideas would be helpful.

Here is a snippet from the log and the expo diagnostic information.

In file included from /Users/expo/workingdir/build/ios/Pods/Headers/Public/Flipper-RSocket/yarpl/flowable/Flowable.h:19:

In file included from /Users/expo/workingdir/build/ios/Pods/Headers/Public/Flipper-Folly/folly/io/async/HHWheelTimer.h:20:

In file included from /Users/expo/workingdir/build/ios/Pods/Headers/Public/Flipper-Folly/folly/io/async/AsyncTimeout.h:19:

In file included from /Users/expo/workingdir/build/ios/Pods/Headers/Public/Flipper-Folly/folly/io/async/EventBaseBackendBase.h:21:

In file included from /Users/expo/workingdir/build/ios/Pods/Headers/Public/Flipper-Folly/folly/io/async/EventUtil.h:21:

In file included from /Users/expo/workingdir/build/ios/Pods/Headers/Public/Flipper-Folly/folly/portability/Event.h:24:

/Users/expo/workingdir/build/ios/Pods/Headers/Public/libevent/event.h:44:10: fatal error: ‘event2/event-config.h’ file not found

#include <event2/event-config.h>

     ^~~~~~~~~~~~~~~~~~~~~~~

2 warnings and 1 error generated.

Expo CLI 4.4.1 environment info:
System:
OS: Windows 10 10.0.19041
Binaries:
Node: 14.15.1 - C:\Program Files\nodejs\node.EXE
Yarn: 1.22.10 - C:\Users\miker\AppData\Roaming\npm\yarn.CMD
npm: 7.5.4 - C:\Program Files\nodejs\npm.CMD
IDEs:
Android Studio: Version 4.1.0.0 AI-201.8743.12.41.6953283
npmPackages:
expo: ~39.0.2 => 39.0.5
react: 16.13.1 => 16.13.1
react-dom: 16.13.1 => 16.13.1
react-native: https://github.com/expo/react-native/archive/sdk-39.0.4.tar.gz => 0.63.2
react-native-web: ~0.13.12 => 0.13.18
react-navigation: ^4.1.1 => 4.4.3
Expo Workflow: managed